Index: protocols/account.c
===================================================================
--- protocols/account.c	(revision 0b1448f070917daf4966097a06b47fc4b2ce0c92)
+++ protocols/account.c	(revision e5d2c5607310ef9669a051a1b93e019319495955)
@@ -86,11 +86,5 @@
 	/* Hardcode some more clever tag guesses. */
 	strcpy(tag, prpl->name);
-	if (strcmp(prpl->name, "oscar") == 0) {
-		if (g_ascii_isdigit(a->user[0])) {
-			strcpy(tag, "icq");
-		} else {
-			strcpy(tag, "aim");
-		}
-	} else if (strcmp(prpl->name, "jabber") == 0) {
+	if (strcmp(prpl->name, "jabber") == 0) {
 		if (strstr(a->user, "@gmail.com") ||
 		    strstr(a->user, "@googlemail.com")) {
Index: protocols/nogaim.c
===================================================================
--- protocols/nogaim.c	(revision 0b1448f070917daf4966097a06b47fc4b2ce0c92)
+++ protocols/nogaim.c	(revision e5d2c5607310ef9669a051a1b93e019319495955)
@@ -240,9 +240,4 @@
 
 #else
-	if (strcmp(name, "aim") == 0 || strcmp(name, "icq") == 0) {
-		return g_strdup("This account uses libpurple specific aliases for oscar. "
-		                "Re-add the account with `account add oscar ...'");
-	}
-
 	extramsg = "If this is a libpurple plugin, you might need to install bitlbee-libpurple instead.";
 #endif
@@ -254,12 +249,7 @@
 void nogaim_init()
 {
-	extern void oscar_initmodule();
 	extern void jabber_initmodule();
 	extern void twitter_initmodule();
 	extern void purple_initmodule();
-
-#ifdef WITH_OSCAR
-	oscar_initmodule();
-#endif
 
 #ifdef WITH_JABBER
Index: protocols/purple/purple.c
===================================================================
--- protocols/purple/purple.c	(revision 0b1448f070917daf4966097a06b47fc4b2ce0c92)
+++ protocols/purple/purple.c	(revision e5d2c5607310ef9669a051a1b93e019319495955)
@@ -107,15 +107,4 @@
 }
 
-static char *purple_get_account_prpl_id(account_t *acc)
-{
-	/* "oscar" is how non-purple bitlbee calls it,
-	 * and it might be icq or aim, depending on the username */
-	if (g_strcmp0(acc->prpl->name, "oscar") == 0) {
-		return (g_ascii_isdigit(acc->user[0])) ? "prpl-icq" : "prpl-aim";
-	}
-
-	return acc->prpl->data;
-}
-
 static gboolean purple_account_should_set_nick(account_t *acc)
 {
@@ -127,5 +116,4 @@
 		"prpl-hangouts",
 		"prpl-eionrobb-funyahoo-plusplus",
-		"prpl-icq",
 		"prpl-line",
 		NULL,
@@ -144,5 +132,5 @@
 static void purple_init(account_t *acc)
 {
-	char *prpl_id = purple_get_account_prpl_id(acc);
+	char *prpl_id = acc->prpl->data;
 	PurplePlugin *prpl = purple_plugins_find_with_id(prpl_id);
 	PurplePluginProtocolInfo *pi = prpl->info->extra_info;
@@ -399,5 +387,5 @@
 
 	ic->proto_data = pd = g_new0(struct purple_data, 1);
-	pd->account = purple_account_new(acc->user, purple_get_account_prpl_id(acc));
+	pd->account = purple_account_new(acc->user, acc->prpl->data);
 	pd->input_requests = g_hash_table_new_full(g_direct_hash, g_direct_equal,
 	                                           NULL, g_free);
@@ -1957,14 +1945,4 @@
 		g_string_append_printf(help, "\n* %s (%s)", ret->name, prot->info->name);
 
-		/* libpurple doesn't define a protocol called OSCAR, but we
-		   need it to be compatible with normal BitlBee. */
-		if (g_strcasecmp(prot->info->id, "prpl-aim") == 0) {
-			ret = g_memdup(&funcs, sizeof(funcs));
-			ret->name = "oscar";
-			/* purple_get_account_prpl_id() determines the actual protocol ID (icq/aim) */
-			ret->data = NULL;
-			register_protocol(ret);
-		}
-
 		info = g_new0(struct plugin_info, 1);
 		info->abiver = BITLBEE_ABI_VERSION_CODE;
